import logger, { LogApi, setLogApi } from "./logger";
import { getAPM, span, withAPM, getApmCurrentTraceIds, getApmTraceparent } from "./apm";
import * as loggerUtil from "./logger-util";
import * as ds from "./datastore";
import { lockManager, setLockManager, hashCode, LockManager } from "./lock-manager";
declare function pause(ms: number): Promise<void>;
export { logger, loggerUtil, LogApi, setLogApi, getAPM, span, withAPM, getApmCurrentTraceIds, getApmTraceparent, ds, lockManager, setLockManager, hashCode, LockManager, pause };
